在x86机器上升级到Debian 2.0

为了避免在通过使用 dpkg,dselect,或者 dftp 升级软件包时产生问题(因为可能会发生 libc5/libc6 之间的冲突), 推荐使用一个专用的升级程序来完成升 级工作。本文档描述了这个程序。

有几种从较早版本升级的方法:

  1. autoup.sh
    这是一个脚本,它能为你按正确的顺序升级这些程序,甚至下载那些 deb 文件。因为档案在不停地发生变化,倘若当 autoup.sh 有最新发布时将可 得到它的一个 tar 档案。这个文件存在于下列站点:
  2. apt-get
    这是 Debian 未来的软件包管理程序的命令行部分。它知道怎样去排序包并 且会从本地驱动器,http 和 ftp 站点把它们下载过来。它能够从多个站点合 并信息,所以你可以使用一张 CD,一个最新的镜像和一个 non-us 站点来 得到速度,多样性和最新版本最佳混合的信息。 只需要运行 'apt-get update; apt-get dist-upgrade'。 'Bo' 版本位于: http://archive.debian.org/debian/dists/hamm/main/upgrade-i386/。 apt-get 的 bo 版本经过了充分地测试。apt-get 自 slink 开始将作为包 装系统的正式部分。
  3. 手动
    有一份 HOWTO 位于: $HOME/releases/hamm/autoup/libc5-libc6-Mini-HOWTO.html 但由于 autoup.sh 的简单化和自动化了这一过程,所以这是最不方便的选项。

问与答

Q: 为什么不按一般的使用 dselect 的 ftp 方法呢?
A: 它将不能恰当地排序包来安装所以不能保証一个平稳的升级。关于
   APT 的工作正在完成,全新的加入 dpkg。使用 apt,所有未来的升级
   将会比以前更容易并将不会再遭受这种麻烦。

Q: 好的,我完成了升级,我能安全的再做一次吗?
A: 是的,您可以再次使用 dselect。